using UnityEngine;
using Verse;

namespace ArachnaeSwarm
{
    public class Building_Incubator : Building
    {
        public CompSpawnPawnFromList SpawnComp => GetComp<CompSpawnPawnFromList>();

        public override Graphic Graphic
        {
            get
            {
                if (SpawnComp != null && SpawnComp.IsHatching && SpawnComp.Props.hatchingGraphicData != null)
                {
                    return SpawnComp.Props.hatchingGraphicData.Graphic;
                }
                return base.Graphic;
            }
        }
    }
}